%define dist Class-WhiteHole
Name: perl-%dist
Version: 0.04
Release: alt1

Summary: Base class to treat unhandled method calls as errors
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

BuildArch: noarch

# Added by buildreq2 on Wed Jul 06 2005
BuildRequires: perl-devel

%description
Its possible to accidentally inherit an AUTOLOAD method. Often this
will happen if a class somewhere in the chain uses AutoLoader or defines
one of their own. This can lead to confusing error messages when method
lookups fail.

Sometimes you want to avoid this accidental inheritance. In that case,
inherit from Class::WhiteHole. All unhandled methods will produce normal
Perl error messages.

%prep
%setup -q -n %dist-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%dir %perl_vendor_privlib/Class
%perl_vendor_privlib/Class/WhiteHole.pm

%changelog
* Wed Jul 06 2005 Alexey Tourbin <at@altlinux.ru> 0.04-alt1
- initial revision
